package com.up.mls.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

/**
 * 友盟配置
 */
@Component
@PropertySource("classpath:application-test.yml") //指定yml文件位置
@ConfigurationProperties(prefix = "umeng")
public class UmengConfig {

    private String iosAppkey;

    private String iosAppMasterSecret;

    private String AndroidAppkey;

    private String AndroidAppMasterSecret;

    public String getIosAppkey() {
        return iosAppkey;
    }

    public void setIosAppkey(String iosAppkey) {
        this.iosAppkey = iosAppkey;
    }

    public String getIosAppMasterSecret() {
        return iosAppMasterSecret;
    }

    public void setIosAppMasterSecret(String iosAppMasterSecret) {
        this.iosAppMasterSecret = iosAppMasterSecret;
    }

    public String getAndroidAppkey() {
        return AndroidAppkey;
    }

    public void setAndroidAppkey(String androidAppkey) {
        AndroidAppkey = androidAppkey;
    }

    public String getAndroidAppMasterSecret() {
        return AndroidAppMasterSecret;
    }

    public void setAndroidAppMasterSecret(String androidAppMasterSecret) {
        AndroidAppMasterSecret = androidAppMasterSecret;
    }

    @Override
    public String toString() {
        return "UmengConfig{" +
                "iosAppkey='" + iosAppkey + '\'' +
                ", iosAppMasterSecret='" + iosAppMasterSecret + '\'' +
                ", AndroidAppkey='" + AndroidAppkey + '\'' +
                ", AndroidAppMasterSecret='" + AndroidAppMasterSecret + '\'' +
                '}';
    }
}
