package com.up.mls.mapper.office;

import java.util.List;
import java.util.Set;

import org.springframework.data.repository.query.Param;

import com.up.mls.vo.office.OfficeDic;
import com.up.mls.vo.shop.ShopShopTag;


public interface OfficeDicMapper {
	
	/**
	 * 根据条件分页查询用户对象
	 * 
	 * @param brand
	 *            用户信息
	 * @return 品牌信息集合信息
	 */
	public Set<OfficeDic> selectDicByOffice(OfficeDic officeDic);
	
	public int insertOfficeDic(OfficeDic officeDic);
	
	public int deleteShopTagByShopId(long shopId);
	
	public int deleteShopTagByShopIdForTop(long shopId);

	public int deleteDicTag(OfficeDic officeDic);

}
