package com.up.mls.mapper.user;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.up.mls.vo.app.TongJiEntity;
import com.up.mls.vo.result.ReferrerResult;
import com.up.mls.vo.user.AppUser;
import com.up.mls.vo.user.AppUserReferrer;
import com.up.mls.vo.user.Fenpei;
import com.up.mls.vo.user.Follow;

public interface AppUserMapper {
	
	AppUser selectByPrimaryKey(String id);

    List<AppUser> selectAllUserId(Long userId);
    
    AppUser selectByPhone(@Param("account")String account,@Param("cityId")String cityId);
    
    int updatePvNum(AppUser appUser);

    List<AppUser> selectVipUserId(Long userId);

    List<AppUser> selectNotVipUserId(Long userId);

    List<AppUser> select(AppUser appUser);
    
    List<AppUser> findByMonth(AppUser appUser);

    List<AppUser> selectYesterdayUser(Long userId);

    List<Map<String, Object>> companyList(Map<String, Object> parameters);

    List<ReferrerResult> referrerList(AppUserReferrer appUserReferrer);
    
    List<AppUser> selectAppUserForAgent(Integer type);

    List<Map<String, String>> selectAuditAccount();
    
    List<AppUser>  findUserTree(AppUser  appUser);
    
    List<AppUser>  findRenLinList(AppUser  appUser);
    
    List<Follow>  findFollowList(String rid);

	void saveRenlin(AppUser entity);

	void saveRenlinBatch(Map<String, Object> map);
	
	void updateHuiFang(AppUser  appUser);
    
	void saveFollow(Follow follow);
	
	TongJiEntity sumPublishFangYuanCount(String agentId);

	void saveFenpei(Fenpei fpEntity);
    
	 List<Fenpei>  findFenpeiList(String rid);
	
	
}
