package com.up.mls.mapper.user;

import java.util.List;
import java.util.Map;

import com.up.mls.vo.user.UserOperRecords;

public interface UserOperRecordsMapper {

	/**
	 * 查询当前用户是否当日分享过
	 * @param map
	 * @return
	 */
	int selectCount(Map<String,Object> map);

	/**
	 * 保存记录
	 * @param parameters
	 */
	void insert(UserOperRecords userOperRecords);
	
	/**
	 * 获取详细列表
	 * @param map
	 * @return
	 */
	List<Map<String,Object>> selectList(Map<String,Object> map);
}
