package com.up.mls.service.content;

import java.util.List;

import com.up.mls.vo.content.BrandContactsError;


/**
 * 品牌联系人纠错服务 接口
 * 
 * @author j.x.j
 *
 */
public interface BrandContactsErrorService {
	
	/**
	 * 查询品牌联系人纠错list
	 * 
	 * @param brandContactsError
	 * 					品牌联系人纠错实体
	 * @return
	 */
	List<BrandContactsError> selectbrandContactsErrorList(BrandContactsError brandContactsError);

	/**
	 * 根据品牌联系人纠错id查询品牌联系人纠错信息
	 * 
	 * @param id
	 *            品牌联系人纠错实体id
	 * @return
	 */
	BrandContactsError selectbrandContactsErrorById(Long id);


	/**
	 * 更新品牌联系人纠错信息
	 * 
	 * @param brandContactsError
	 * 				品牌联系人纠错实体
	 * @return
	 */
	int updateBrandError(BrandContactsError brandContactsError);
	
	
	
	
	
	
	
	
	
	/**
	 * 新增品牌
	 * 
	 * @param company
	 * @return
	 */
	int insertBrandError(BrandContactsError brandContactsError);

	/**
	 * 
	 * @param ids
	 * @return
	 */
	int deletebrandContactsErrorById(Long id);
	
	
	/**
	 * 
	 * @param ids
	 * @return
	 */
	int deletebrandContactsErrorByIds(String ids);

}
