package com.up.mls.service.content.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.up.mls.mapper.content.BannerMapper;
import com.up.mls.service.content.IBannerService;
import com.up.mls.service.system.ICompanyService;
import com.up.mls.support.Convert;
import com.up.mls.util.SpringSecurityUtils;
import com.up.mls.vo.content.Banner;
import com.up.mls.vo.system.Company;
import com.up.mls.vo.system.User;

import java.util.List;

@Service
public class BannerServiceImpl implements IBannerService {

    @Autowired
    private BannerMapper bannerMapper;
    
	@Autowired
	private ICompanyService iCompanyService;

    @Override
    public List<Banner> selectList(Banner banner) {
    	banner.setCreateBy(SpringSecurityUtils.getUserId());
        return bannerMapper.selectList(banner);
    }

    @Override
    public int sava(Banner banner) {
		/*User user = SpringSecurityUtils.getUser();
		Company company = iCompanyService.selectCompanyById(user.getCompanyId());
    	if (null == banner.getId()) {
			banner.setCityId(company.getCityId()+"");
			banner.setProvinceId(company.getProvinceId());
			banner.setCreateBy(user.getUserId());
			return bannerMapper.save(banner);
		}
    	if (banner.getJumpType().equals("0")){
			bannerMapper.clearData(banner);
		}
    	banner.setUpdateBy(user.getUserId());
        return bannerMapper.update(banner);*/
    	return 0;
    }

	@Override
	public Banner selectById(String id) {
		return bannerMapper.findEntityById(id);
	}

    @Override
    public int remove(String ids) {
        return bannerMapper.remove(Convert.toIntArray(",", ids));
    }
}
