package com.up.mls.service.content.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.up.mls.mapper.content.BrandBrandAreaMapper;
import com.up.mls.service.content.IBrandBrandAreaService;
import com.up.mls.vo.content.BrandBrandArea;

import java.util.ArrayList;
import java.util.List;

@Service
public class BrandBrandAreaServiceImpl implements IBrandBrandAreaService {

    @Autowired
    private BrandBrandAreaMapper brandBrandAreaMapper;

    @Override
    public Integer save(Integer id, String areaId) {
        List<BrandBrandArea> brandBrandAreaList = new ArrayList<>();
        String[] area = areaId.split(",");
        for (int i = 0; i < area.length; i++) {
            BrandBrandArea brandBrandArea = new BrandBrandArea();
            brandBrandArea.setBrandId(id);
            brandBrandArea.setBrandAreaId(area[i]);
            brandBrandAreaList.add(brandBrandArea);
        }
        return brandBrandAreaMapper.save(brandBrandAreaList);
    }

    @Override
    public void remove(Integer id) {
        brandBrandAreaMapper.remove(id);
    }

	@Override
	public List<String> selectId(Integer id) {
		return brandBrandAreaMapper.selectId(id);
	}
}
