package com.up.mls.service.customer.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.up.mls.mapper.customer.CustomerMapper;
import com.up.mls.service.customer.CustomerService;
import com.up.mls.vo.customer.Customer;

@Service
public class CustomerServiceImpl implements CustomerService{

	@Autowired
	private CustomerMapper customerMapper;
	
	@Override
	public List<Customer> selectList(Customer customer) {
		return customerMapper.selectList(customer);
	}

	@Override
	public void updateCustomerStatus(Customer customer) {
		customerMapper.updateCustomerStatus(customer);
	}

	@Override
	public Customer selectByPrimaryKey(Long id) {
		
		return customerMapper.selectByPrimaryKey(id);
	}

	@Override
	public int selectOnOfflineCount(String status) {
		return customerMapper.selectOnOfflineCount(status);
	}
	
	

}
