package com.up.mls.service.exception;

import com.up.mls.common.Result;

/**
 * 
 * 业务异常
 * 
 * @author j.x.j
 *
 */
public class BusinessException extends RuntimeException {

	private static final long serialVersionUID = -8111611930452823713L;

	private Result result = null;

	public Result getResult() {
		return result;
	}

	public BusinessException(Result result) {
		super(result.getMessage());
		this.result = result;
	}

	public BusinessException() {
		super("租铺宝业务异常");
	}

	public BusinessException(Throwable cause) {
		super("租铺宝业务异常", cause);
	}

	public BusinessException(Object exceptionObj) {
		super(exceptionObj.toString());
	}

}
