package com.up.mls.service.news;

import com.up.mls.vo.news.News;

import java.util.List;
import java.util.Map;

public interface NewsService {

    int save(News news) throws Exception;

    List<Map<String, Object>> selectList(Map<String, Object> parameters);

    Map<String, Object> selectById(String id);

    int remove(String id);

    public int sendSuccessMessage(String shopNum,Long userId);
    
    public int sendFailMessage(String shopNum,Long agentId);

    int offlineBrand(String id);

    int onlineBrand(String id);
}
