package com.up.mls.service.news.impl;

import com.up.mls.mapper.news.UserMsgMapper;
import com.up.mls.service.news.UserMsgService;
import com.up.mls.util.SpringSecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class UserMsgServiceImpl implements UserMsgService {

    @Autowired
    private UserMsgMapper userMsgMapper;

    @Override
    public List<Map<String, Object>> selectList(Map<String, Object> parameters) {
        parameters.put("id", SpringSecurityUtils.getUserId());
        return userMsgMapper.selectList(parameters);
    }

    @Override
    public Map<String, Object> selectById(String id) {
        userMsgMapper.updateById(id);
        return userMsgMapper.selectById(id);
    }
}
