package com.up.mls.service.recommend.impl;

import com.up.mls.mapper.recommend.RecommendMapper;
import com.up.mls.service.recommend.RecommendService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service
public class RecommendServiceImpl implements RecommendService {

    @Autowired
    private RecommendMapper recommendMapper;

    @Override
    public List<Map<String, Object>> selectList(Map<String, Object> parameters) {
        return recommendMapper.selectList(parameters);
    }

    @Override
    public List<Map<String, Object>> selectDetail(Map<String, Object> parameters) {
        return recommendMapper.selectDetail(parameters);
    }
}
