package com.up.mls.service.shop.impl;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.up.mls.mapper.shop.BusinessAreaMapper;
import com.up.mls.service.shop.BusinessAreaService;
import com.up.mls.vo.shop.BusinessArea;




@Service
//@CacheConfig(cacheNames = "businessArea")
public class BusinessAreaServiceImpl implements BusinessAreaService {

	private static final Logger log=LoggerFactory.getLogger(BusinessAreaServiceImpl.class);
	@Autowired
	private BusinessAreaMapper businessAreaMapper;

	@Override
	//@Cacheable(key = "'businessAreaByAreaId'.concat(#areaId.toString())")
	public List<BusinessArea> selectBusinessByArea(Long areaId) {
		log.info("【商圈模块】根据区域Id查询商圈,区域Id:{}", areaId);
		return businessAreaMapper.selectBusinessByArea(areaId);
	}


}
