package com.up.mls.service.user;

import java.util.List;
import java.util.Map;

import com.up.mls.vo.app.TongJiEntity;
import com.up.mls.vo.office.Office;
import com.up.mls.vo.result.CompanyListResult;
import com.up.mls.vo.result.ReferrerResult;
import com.up.mls.vo.system.User;
import com.up.mls.vo.user.AppUser;
import com.up.mls.vo.user.AppUserCorporate;
import com.up.mls.vo.user.AppUserReferrer;
import com.up.mls.vo.user.Fenpei;
import com.up.mls.vo.user.Follow;

public interface IAppUserService {
	
	AppUser selectByPrimaryKey(String id);

    List<AppUser> selectAllUserId();
    
    AppUser findByPhone(String phone,String cityId);
    
    int updatePvNum(AppUser appUser);

    List<AppUser> selectVipUserId();

    List<AppUser> selectNotVipUserId();

    List<AppUser> select(AppUser appUser);

    List<AppUser> selectYesterdayUser();

    List<Map<String, Object>> companyList(Map<String, Object> parameters);

    List<ReferrerResult> referrerList(AppUserReferrer appUserReferrer);
    
    List<AppUser> selectAppUserForAgent(Integer type);

    List<Map<String, String>> selectAuditAccount();

	List<AppUser> findByMonth(AppUser appUser);

	List<AppUser> findUserTree(AppUser entity);

	List<AppUser> findList(AppUser appUser);

	List<Follow> findFollowList(String rid);

	int saveRenlin(AppUser entity);

	int saveRenlinBatch(Map<String, Object> map);

	void updateHuiFang(AppUser appUser);

	int saveFollow(Follow follow);

	TongJiEntity sumPublishFangYuanCount(String agentId);

	int saveDistribution(String beiUserId, String ids, User oper,String userType);

	List<Fenpei> findFenpeiList(String rid);

}
