package com.up.mls.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

import lombok.Getter;
import lombok.Setter;

/**
 * 实体基类
 * 
 * @author geeks
 *
 */
@Getter
@Setter
public class BaseDomain implements Serializable {

	private static final long serialVersionUID = 1359052286325363912L;

	/**
	 * 主键
	 */
	private Long id;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 创建时间
	 */
	public void setCreateTime() {
		Date date = new Date();
		createTime = date;
		updateTime = date;
	}

	/**
	 * 更新时间
	 */
	public void setUpdateTime() {
		this.updateTime = new Date();
	}
	
	/** 请求参数 */
	private Map<String, Object> params;
}
