package com.up.mls.vo;

import java.util.HashMap;

import com.up.mls.util.Constant;

/**
 * 用于ajax返回json结果，或者API返回结果
 * @author zhangmg
 *
 */
public class ResultObject extends HashMap<String,Object> {

	private static final long serialVersionUID = 2692270970465342847L;

	public ResultObject (){
		this.put("code", Constant.CODE_SUCCESS);
		this.put("message", "成功");
	}

	public int getCode() {
		return (int) super.get("code");
	}

	public void setCode(int code) {
		super.put("code", code);
	}

	public String getMessage() {
		return (String) super.get("message");
	}

	public void setMessage(String message) {
		super.put("message", message);
	}

}
