package com.up.mls.vo.callRecording;

import java.util.Date;

import com.up.mls.vo.shop.BusinessArea;
import com.up.mls.vo.system.Areas;

import io.swagger.models.auth.In;
import lombok.Data;


/**
 * 录音表	
 * @author PJJ
 *
 */
@Data
public class CallRecording{
	
	private Integer id;
	private String   uuid;
	private String   callNo;
	private String   projectId;
	private String   projectType;
	private String   shopNumber;
	private String   shopName;
	private Date   createTime;
	private String   agentId;
	private String 	 agentPhone;
	private String 	 agentName;
	private String   ani;
	private String   dnis;
	private String   aniName;
	private String   dnisName;
	private String   channel;
	private String   rentType;
	private String   areaId;
	private String   businessAreaId;
	private String   followStatus;
	private String 	 cityId; 
	private String   renlinUserId;
	private String   shouUserId;
	private String   duration;
	private String   ifConnect;
	private String   endReason;
	private String   sjType;
	
     
	private Areas area;
	private BusinessArea businessArea;
	
	//非持久化字段
	private String voice;//音频
	private Integer gjCount;
	private String dateType;
	private String followUserName;
	private String beginTime;
	private String endTime;
	private String renlinType;
	private String agentRangType;
	private String agentShouType;
	
	
	
}
