package com.up.mls.vo.content;

import java.util.Date;

import com.up.mls.vo.BaseEntity;
import com.up.mls.vo.system.User;
import com.up.mls.vo.user.AppUser;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BrandContactsError extends BaseEntity{
	

	/**
	 * 
	 */
	private static final long serialVersionUID = 8633286254671935690L;

	private long id;
	
	//被纠错的联系人ID
	private Integer brandContactsId;
	
	private BrandLinkman brandContacts;
	
	//审核状态标识
	private Integer flag;
	//手机号
	private String mobile;
	//真实姓名
	private String userName;
	//岗位
	private String post;
	//省ID
	private String provinceId;
	//市ID
	private String cityId;
	//会员ID
	private Integer memberId;
	
	private AppUser member; 
	
	private User user;
	
	//纠错备注
	private String remark;
	
	//审批人
	private String approveUser;
	//审批时间
	private Date approveTime;
	//审批意见
	private String reasons;
	
	private Brand brand;
	
	//负责区域
	private String areaids;

	@Override
	public String toString() {
		return "BrandContactsError [id=" + id + ", brandContactsId=" + brandContactsId + ", brandContacts="
				+ brandContacts + ", flag=" + flag + ", mobile=" + mobile + ", userName=" + userName + ", post=" + post
				+ ", provinceId=" + provinceId + ", cityId=" + cityId + ", memberId=" + memberId + ", member=" + member
				+ ", user=" + user + ", approveUser=" + approveUser + ", approveTime=" + approveTime + ", reasons="
				+ reasons + ", brand=" + brand + ", areaids=" + areaids + "]";
	}

	
}
