package com.up.mls.vo.content;

import java.util.Date;

import com.up.mls.vo.BaseEntity;
import com.up.mls.vo.user.AppUser;

import lombok.Data;

/**
 * @author liuwei
 * 平台联系人实体类
 */
@Data
public class BrandLinkman extends BaseEntity {

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 联系人名称
     */
    private String name;

    /**
     * 联系人电话
     */
    private String phone;

    /**
     * 联系人职务
     */
    private String duty;
    
    /**
     * 负责区域
     */
    private String linkAreas;

    /**
     * 关联品牌id
     */
    private Integer brandId;
    private Brand brand;
    
    //创建人
    private AppUser appUser;
    
    //来源
    private Integer createType;
    
    /**
     * 品牌审核状态
     * 1：待审核 2：审核通过 3：审核拒绝
     */
    private Integer auditStatus;
    //审核人
    private Long auditAccount;
    //审核时间
    private Date auditTime;
    //原因
    private String reasons;
    
   
    
    

}
