package com.up.mls.vo.deal;

import java.util.Date;

import com.up.mls.vo.BaseEntity;
import com.up.mls.vo.office.Office;
import com.up.mls.vo.shop.Shop;
import com.up.mls.vo.system.Areas;
import com.up.mls.vo.user.AppUser;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class ProjectOrder extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = -7006753267104374303L;
	
	private String orderNo;
	
	private Integer orderStatus;
	
	private Integer agentId;
	
	private AppUser agent;
	
	private Integer projectId;
	
	private Shop shop;
	
	private Office office;
	
	private Integer projectType;
	
	private Integer sonType;
	
	private String projectName;
	
	private String shopNumber;
	
	private Double price;
	
	private Double acreage;
	
	private Date appointmentTime;
	
	private String description;
	
	private Integer customerId;
	
	private String customerName;
	
	private String mobile;
	
	private String identityCard;
	
	private Date visitTime;
	
	private Date subscribeTime;
	
	private Date signTime;
	
	private Date settleTime;
	
	private Date finishTime;
	
	private String brandName;
	
	private Double monthlyRent;
	
	private Double totalPrice;
	
	private Double projectAmount;
	
	private Double referrerAmount;
	
	private Double teamAmount;
	
	private String payStatus;
	
	private String channel;
	
	//页面展示
	private int lxNum;
	private int dfNum;
	private int rgNum;
	private int qyNum;
	private int zzNum;
	
	private Areas areas;
	
	
	//传参
	private String projectCity;
	
	private String userId;
	
	private Integer timeType;		//0:终止、3:到访、4:认购、5:签约
	
	
	
}
