package com.up.mls.vo.monitor;

import java.util.Date;

import com.up.mls.vo.BaseEntity;

/**
 * 系统访问日志情况信息 sys_logininfor
 * 
 * @author j.x.j
 */
public class LoginLogInfo extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	/** ID */
	private Long infoId;
	/** 用户账号 */
	private String loginName;
	/** 登录状态 0成功 1失败 */
	private int status;
	/** 登录IP地址 */
	private String ipaddr;
	/** 登录地点 */
	private String loginLocation;
	/** 浏览器类型 */
	private String browser;
	/** 操作系统 */
	private String os;
	/** 提示消息 */
	private String msg;
	/** 访问时间 */
	private Date loginTime=new Date();
	
	public LoginLogInfo() {
		
	}
	
	public LoginLogInfo(String loginName,Integer status,String msg) {
		this.loginName=loginName;
		this.status=status;
		this.msg=msg;
	}
	
	public Long getInfoId() {
		return infoId;
	}

	public void setInfoId(Long infoId) {
		this.infoId = infoId;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getIpaddr() {
		return ipaddr;
	}

	public void setIpaddr(String ipaddr) {
		this.ipaddr = ipaddr;
	}

	public String getLoginLocation() {
		return loginLocation;
	}

	public void setLoginLocation(String loginLocation) {
		this.loginLocation = loginLocation;
	}

	public String getBrowser() {
		return browser;
	}

	public void setBrowser(String browser) {
		this.browser = browser;
	}

	public String getOs() {
		return os;
	}

	public void setOs(String os) {
		this.os = os;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public Date getLoginTime() {
		return loginTime;
	}

	public void setLoginTime(Date loginTime) {
		this.loginTime = loginTime;
	}

	@Override
	public String toString() {
		return "LoginLogInfo [infoId=" + infoId + ", loginName=" + loginName + ", status=" + status + ", ipaddr="
				+ ipaddr + ",loginLocation=" + loginLocation + ", browser=" + browser + ", os=" + os + ", msg=" + msg
				+ ", loginTime=" + loginTime + "]";
	}

}