package com.up.mls.vo.result;

import com.up.mls.vo.contract.Contract;
import lombok.Data;

import java.util.Date;

/**
 * @author liuwei
 * 公司列表返回result对象
 */
@Data
public class CompanyListResult {

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 公司名称
     */
    private String corporateName;

    /**
     * 联系人
     */
    private String accountName;

    /**
     * 公司账号
     */
    private String account;

    /**
     * 注册时间
     */
    private Date createTime;

    /**
     * 发展人数
     */
    private Integer progressNum;

    /**
     * 本月发展人数
     */
    private Integer currentMonth;

    /**
     * 电子签
     */
    private Contract contract;

}

