package com.up.mls.vo.system;

import com.up.mls.vo.BaseEntity;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AppData extends BaseEntity {

	private static final long serialVersionUID = 1L;

	private Integer id;

	/**
	 * 所属省
	 */
	private Long provinceId;

	/**
	 * 所属市
	 */
	private Long cityId;

	/**
	 * 品牌数量
	 */
	private Long brandCount;

	/**
	 * 项目数量
	 */
	private Long projectCount;

	/**
	 * 经纪人数量
	 */
	private Long agentCount;

	/**
	 * 经济公司数量
	 */
	private Long agentCompanyCount;

}