package com.up.mls.vo.system;

import com.up.mls.vo.BaseDomain;

import lombok.Getter;
import lombok.Setter;

/**
 * 地理位置 省、市、区县、乡镇、街道
 * 
 * @author j.x.jw
 *
 */
@Getter
@Setter
public class Areas extends BaseDomain{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1571333165479420448L;

	/**
	 * 
	 */
	private Long id;

	/**
	 * 区域名称
	 */
	private String areaName;

	/**
	 * 上级区域
	 */
	private Long parentId;

	/**
	 * 排序字段
	 */
	private String shortName;

	/**
	 * 经度
	 */
	private Double lng;

	/**
	 * 纬度
	 */
	private Double lat;

	/**
	 * 
	 */
	private Integer level;

	/**
	 * 
	 */
	private String position;

	/**
	 * 排序
	 */
	private Integer sort;

	/**
	 * 是否开放：1开放，0不开放
	 */
	private Integer isOpen;

	/**
	 * 地域ID,regions表ID
	 */
	private Long regionsId;

	/**
	 * 数据隔离所用用户ID
	 */
	private Integer userId;
}
