package com.up.mls.vo.system;

import com.up.mls.vo.BaseEntity;

import lombok.Getter;
import lombok.Setter;

/**
 * 部门对象 sys_dept
 * 
 * @author j.x.j
 */
@Getter
@Setter
public class Dept extends BaseEntity {
	private static final long serialVersionUID = 1L;
	/** 部门ID */
	private Long deptId;
	/** 父部门ID */
	private Long parentId;
	/** 祖级列表 */
	private String ancestors;
	/** 部门名称 */
	private String deptName;
	/** 显示顺序 */
	private String orderNum;
	/** 负责人 */
	private String leader;
	/** 联系电话 */
	private String phone;
	/** 邮箱 */
	private String email;
	/** 部门状态:0正常,1停用 */
	private Integer status;
	/** 父部门名称 */
	private String parentName;

	@Override
	public String toString() {
		return "Dept [deptId=" + deptId + ", parentId=" + parentId + ", ancestors=" + ancestors + ", deptName="
				+ deptName + ", orderNum=" + orderNum + ", leader=" + leader + ", phone=" + phone + ", email=" + email
				+ ", status=" + status + ", parentName=" + parentName + "]";
	}

}
