package com.up.mls.vo.system;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class Dictionary {
    /**
     * 字典项编号
     */
    private String dKey;

    /**
     * 字典项的值
     */
    private String dValue;

    /**
     * 字典项名称
     */
    private String dName;

    /**
     * 字典项上级编号
     */
    private String parentKey;

    /**
     * 是否使用：1使用、0不使用
     */
    private Integer flag;

    /**
     * 字典项说明
     */
    private String description;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建者,user表ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新人,user表ID
     */
    private Integer updateUser;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 字典项编号
     * @return d_key 字典项编号
     */
    public String getdKey() {
        return dKey;
    }

    /**
     * 字典项编号
     * @param dKey 字典项编号
     */
    public void setdKey(String dKey) {
        this.dKey = dKey == null ? null : dKey.trim();
    }

    /**
     * 字典项的值
     * @return d_value 字典项的值
     */
    public String getdValue() {
        return dValue;
    }

    /**
     * 字典项的值
     * @param dValue 字典项的值
     */
    public void setdValue(String dValue) {
        this.dValue = dValue == null ? null : dValue.trim();
    }

    /**
     * 字典项名称
     * @return d_name 字典项名称
     */
    public String getdName() {
        return dName;
    }

    /**
     * 字典项名称
     * @param dName 字典项名称
     */
    public void setdName(String dName) {
        this.dName = dName == null ? null : dName.trim();
    }

    /**
     * 字典项上级编号
     * @return parent_key 字典项上级编号
     */
    public String getParentKey() {
        return parentKey;
    }

    /**
     * 字典项上级编号
     * @param parentKey 字典项上级编号
     */
    public void setParentKey(String parentKey) {
        this.parentKey = parentKey == null ? null : parentKey.trim();
    }

    /**
     * 是否使用：1使用、0不使用
     * @return flag 是否使用：1使用、0不使用
     */
    public Integer getFlag() {
        return flag;
    }

    /**
     * 是否使用：1使用、0不使用
     * @param flag 是否使用：1使用、0不使用
     */
    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    /**
     * 字典项说明
     * @return description 字典项说明
     */
    public String getDescription() {
        return description;
    }

    /**
     * 字典项说明
     * @param description 字典项说明
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * 排序
     * @return sort 排序
     */
    public Integer getSort() {
        return sort;
    }

    /**
     * 排序
     * @param sort 排序
     */
    public void setSort(Integer sort) {
        this.sort = sort;
    }

    /**
     * 创建者,user表ID
     * @return create_user 创建者,user表ID
     */
    public Integer getCreateUser() {
        return createUser;
    }

    /**
     * 创建者,user表ID
     * @param createUser 创建者,user表ID
     */
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后更新人,user表ID
     * @return update_user 最后更新人,user表ID
     */
    public Integer getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后更新人,user表ID
     * @param updateUser 最后更新人,user表ID
     */
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    /**
     * 最后更新时间
     * @return update_time 最后更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后更新时间
     * @param updateTime 最后更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
