package com.up.mls.vo.system;

import java.util.ArrayList;
import java.util.List;


import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class Regions {
	
	/**
	 * 
	 */
	private Long id;
	
	//地域名称
	private String regionsName;
	
	//排序
	private Integer sort;
	
	/**
	 * 二级区域集合
	 */
	private List<Areas> subBrandAreas;
	
	/**
	 * 获取二级区域名称Text
	 * 
	 * @return
	 */
	public String getSubBrandAreasText() {
		ArrayList<String> subText = new ArrayList<>();
		if (subBrandAreas != null) {
			subBrandAreas.forEach(sbt -> subText.add(sbt.getAreaName()));
			return String.join(",", subText);
		}
		return "";
	}
}
