package com.up.mls.vo.user;

import java.util.Date;

import com.up.mls.vo.BaseDomain;
import com.up.mls.vo.contract.Contract;
import com.up.mls.vo.system.Areas;
import com.up.mls.vo.system.Dictionary;

import lombok.Data;

@Data
public class AppUser extends BaseDomain {

    private static final long serialVersionUID = 3235234299926690375L;

    private Long id;

    private Dictionary dictionary;

    private Areas areasId;
    /**
     * 账号
     */
    private String account;
    
    private String accountName;
    
    private String corporateName;

    /**
     * 首次登陆时间
     */
    private Date firstTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 累计登录次数
     */
    private Integer loginCount;

    /**
     * 登录设备(Android, IOS, PC,M站) 字典表101
     */
    private Integer platForm;

    /**
     * 省id
     */
    private Integer provinceId;

    /**
     * 城市id
     */
    private Long cityId;

    /**
     * 用户状态 字典表100
     */
    private Integer status;

    /**
     * 渠道 字典表102
     */
    private Integer channel;
    
    private String userType;
    //非持久化字段
    private String userTypeAgent;

    /**
     * 浏览商铺累加数
     */
    private Integer pvNum;

    /**
     * 求租拨打联系人电话 每天上限30次
     */
    private Integer telCount;
    /**
     * 总发展人数
     */
    private int progressNum;
    /**
     * 本月发展人数
     */
    private int currentMonth;

    //电子签
    private String sign_status;
    private String signStatusName;

    private Contract contract;
    //是否为内部经纪人 0:否 1：是
    private Integer own;

    //查询user类型 1个人 2经纪人 3公司
    private Integer type;
    private String plat;
    private String createBegin;
    private String createEnd;
    private String updateBegin;
    private String updateEnd;
    private Long select;
    private String signBegin;
    private String signEnd;
    private String agentType;
    
    //认领人
  	private Integer renlinUserId;
  	private Integer renlinStatus=1;
  	private String renlinUserName;
  	private Date renlinTime;
  	//跟进
  	private Integer followUserId;
  	private Integer followStatus;
  	private String followUserName;
  	private Date followTime;
  	private String followRemark;
  	
    //非持久化字段
    private String areaName;
    private String quDao;
    private String renlinType;
	private String dateType;
	private String beginTime;
	private String endTime;
  	private String rlCount;
  	private String fpCount;


}
