package com.up.mls.web.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.ResponseBody;

import com.up.mls.mapper.system.AreasMapper;
import com.up.mls.service.system.IAreasSerevice;
import com.up.mls.vo.system.Areas;

@Service("areas")
public class AreasService {

	
	@Autowired
	private AreasMapper areasMapper;
	
	
	
	@Autowired
	private IAreasSerevice areasSerevice;

	public List<Areas> findByLevel(int level) {
		return areasSerevice.findByLevel(level);
	}

	public List<Areas> findByParent(long parentId) {
		return areasSerevice.findByParentId(parentId);
	}
	
}
