
function areasInit(cityParam,areaParam){
//	$("#cityOptions").select2();
	$("#businessAreaOptions").select2();
	$("#roadOptions").select2();
	//初始化及回显
	//城市
	$.getJSON('/system/company/findCityForCompany', function(data) {
		var option = '<option value="">请选择城市</option>';
		if (data.length > 0) {
			$.each(data, function(index, temp) {
				option += "<option value='" + temp.cityId + "'>"
						+ temp.cityName + "</option>"
			});
		}
		$("#cityOptions").append(option);
		if(cityParam){
			$("select[name='cityId']").val(cityParam);
			$.getJSON('/system/areas/byParent/' + cityParam, function(data) {
			var option = '<option value="">请选择区域</option>';
			if (data.length > 0) {
				$.each(data, function(index, temp) {
					option += "<option value='" + temp.id + "'>"
							+ temp.areaName + "</option>"
				});
			}
			$("#areaOptions").append(option);
			
			if(areaParam) {
				$("select[name='areaId']").val(areaParam);
				//商圈
				$.getJSON('/businessArea/getByAreaId?areaId=' + areaParam, function(data) {
					var option = '<option value>请选择商圈</option>';
					if(data.length > 0) {
						$.each(data, function(index, temp) {
							option += "<option value='" + temp.id + "'>" + temp.name + "</option>"
						});
					}
					$("select[name=businessAreaId]").html(option);
					if(businessAreaParam) {
						$("select[name='businessAreaId']").val(businessAreaParam);
					}
				});
				/*//道路
				$.getJSON('/system/road/findByAreaId?areaId=' + areaParam, function(data) {
					var option = '<option value="">请选择</option>';
					if(data.length > 0) {
						$.each(data, function(index, temp) {
							option += "<option value='" + temp.id + "'>" + temp.name + "</option>"
						});
					}
					$("select[name=road]").html(option);
					if(roadParam) {
						$("select[name='road']").val(roadParam);
					}
				});*/
			}
		});
	}
});

};
//联动
$("select[name='cityId']").change(function() {
	var cityId = $(this).val();
	if($(this).val()) {
		$.getJSON('/system/areas/byParent/' + cityId, function(data) {
			var option = '<option value="">请选择区域</option>';
			if (data.length > 0) {
				$.each(data, function(index, temp) {
					option += "<option value='" + temp.id + "'>"
							+ temp.areaName + "</option>"
				});
			}
			$("#areaOptions").html(option);
			})
	}else{
		$("select[name=cityId]").html('<option value>请选择城市</option>');
	}
	
});
$("select[name='areaId']").change(function() {
	var area = $(this).val();
	if($(this).val()) {
		$.getJSON('/businessArea/getByAreaId?areaId=' + area, function(data) {
			var option = '<option value>请选择商圈</option>';
			if(data.length > 0) {
				$.each(data, function(index, temp) {
					option += "<option value='" + temp.id + "'>" + temp.name + "</option>"
				});
			}
			$("select[name=businessAreaId]").html(option);
		});
	} else {
		$("select[name=businessAreaId]").html('<option value>请选择区域</option>');
	}
	//道路
	/*if($(this).val()) {
		$.getJSON('/system/road/findByAreaId?areaId=' + area, function(data) {
			var option = '<option value="">请选择</option>';
			if(data.length > 0) {
				$.each(data, function(index, temp) {
					option += "<option value='" + temp.id + "'>" + temp.name + "</option>"
				});
			}
			$("select[name=road]").html(option);
		});
	} else {
		$("select[name=road]").html('<option value>请选择</option>');
	}*/
	
});