/**
 * 通用方法封装处理
 */

$(function(){
	// 复选框事件绑定
//	if ($.fn.select2 !== undefined) {
//		$("select.form-control:not(.noselect2)").each(function () {
//			$(this).select2().on("change", function () {
//				$(this).valid();
//			})
//		})
//	}
	if ($(".i-checks").length > 0) {
	    $(".i-checks").iCheck({
	        checkboxClass: "icheckbox_square-green",
	        radioClass: "iradio_square-green",
	    })
	}
	if ($(".time").length > 0) {
		layui.use('laydate', function() {
		    var laydate = layui.laydate;
		    laydate.render({ elem: '#startTime', theme: 'molv' });
		    laydate.render({ elem: '#endTime', theme: 'molv' });
		});
	}
	
	if ($(".time_rule").length > 0) {
		layui.use('laydate', function() {
			var laydate = layui.laydate;
			   var startTime =  laydate.render({ elem: '#startTime', type:'datetime', theme: 'molv', 
			    	done: function (value, date) {
		                 if (value !== '') {
		                    endTime.config.min.year = date.year;
                     		endTime.config.min.month = date.month - 1;
		                     endTime.config.min.date = date.date;
		                 } else {
		                    endTime.config.min.year = '';
		                    endTime.config.min.month = '';
		                    endTime.config.min.date = '';
		                }
			    	     }
			    });
			   var endTime =  laydate.render({ elem: '#endTime', type:'datetime', theme: 'molv',
					done: function (value, date) {
		                 if (value !== '') {
		                    startTime.config.max.year = date.year;
                    		startTime.config.max.month = date.month - 1;
		                    startTime.config.max.date = date.date;
		                 } else {
		                    startTime.config.max.year = '';
		                    startTime.config.max.month = '';
		                    startTime.config.max.date = '';
		                }
			    	     }
			    });
			  
		});
	}
});

/** 创建选项卡 */
function createMenuItem(dataUrl, menuName, param) {
    dataIndex = $.common.random(1,100),
    flag = true;
    if (dataUrl == undefined || $.trim(dataUrl).length == 0) return false;
    var topWindow = $(window.parent.document);
    // 选项卡菜单已存在
    $('.menuTab', topWindow).each(function() {
        if ($(this).data('id') == dataUrl) {
            if (!$(this).hasClass('active')) {
                $(this).addClass('active').siblings('.menuTab').removeClass('active');
                $('.page-tabs-content').animate({ marginLeft: ""}, "fast");
                // 显示tab对应的内容区
                $('.mainContent .RuoYi_iframe', topWindow).each(function() {
                    if ($(this).data('id') == dataUrl) {
                        $(this).show().siblings('.RuoYi_iframe').hide();
                        return false;
                    }
                });
            }
            flag = false;
            return false;
        }
    });
    // 选项卡菜单不存在
    if (flag) {
        var str = '<a href="javascript:;" class="active menuTab" data-id="' + dataUrl + '">' + menuName + ' <i class="fa fa-times-circle"></i></a>';
        $('.menuTab', topWindow).removeClass('active');
 
        // 添加选项卡对应的iframe
        var str1 = '<iframe class="RuoYi_iframe" name="iframe' + dataIndex + '" width="100%" height="100%" src="' + dataUrl + '" frameborder="0" data-id="' + dataUrl + '" seamless></iframe>';
        $('.mainContent', topWindow).find('iframe.RuoYi_iframe').hide().parents('.mainContent').append(str1);

        // 添加选项卡
        $('.menuTabs .page-tabs-content', topWindow).append(str);
    }
    return false;
}

/** 页面创建选项卡 */
function pageCreateMenuItem(dataUrl, menuName, param) {
    dataIndex = $.common.random(1,100);
    if (dataUrl == undefined || $.trim(dataUrl).length == 0) return false;
    var topWindow = $(window.parent.document);
    // 选项卡菜单已存在
    $('.menuTab', topWindow).each(function() {
        if ($(this).data('id') == dataUrl) {
        	$(this).remove();
        }
    });
    // 选项卡菜单不存在
    var str = '<a href="javascript:;" class="active menuTab" data-id="' + dataUrl + '">' + menuName + ' <i class="fa fa-times-circle"></i></a>';
    $('.menuTab', topWindow).removeClass('active');

    var srcUrl;
    if(param.length > 0){
    	srcUrl = dataUrl + "?projectId="+ param;
    } else{
    	srcUrl = dataUrl + "?projectId="+ 0;
    }
    // 添加选项卡对应的iframe
    var str1 = '<iframe class="RuoYi_iframe" name="iframe' + dataIndex + '" width="100%" height="100%" src="' + srcUrl + '" frameborder="0" data-id="' + dataUrl + '" seamless></iframe>';
    $('.mainContent', topWindow).find('iframe.RuoYi_iframe').hide().parents('.mainContent').append(str1);
    // 添加选项卡
    $('.menuTabs .page-tabs-content', topWindow).append(str);
    
    return false;
}

/** 设置全局ajax超时处理 */
$.ajaxSetup({
    complete: function(XMLHttpRequest, textStatus) {
        if (textStatus == "parsererror") {
        	$.modal.confirm("登陆超时！请重新登陆！", function() {
        		window.location.href = ctx + "login";
        	})
        }
    }
}); 
