/* ↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓ 店铺视频上传 单个上传 ↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓ */
$(function() {
	$.getJSON('/oss/policyVideo', function(data) {
		new_multipart_video_params.policy=data.policy;
		new_multipart_video_params.OSSAccessKeyId=data.accessid;
		new_multipart_video_params.signature=data.signature;
		new_multipart_video_params.success_action_status='200';
		new_multipart_video_params.callback=data.callback;
		new_multipart_video_params.host=data.host;
		new_multipart_video_params.dir=data.dir;
	});
	//-----------------上传视频------------------------
	var  new_multipart_video_params ={};
	var uploader2 = WebUploader.create({
		auto : true,													// 选完文件后，是否自动上传。
		swf : '/js/Uploader.swf',									// swf文件路径
		server : 'http://youpu-video.oss-cn-beijing.aliyuncs.com',	// 文件接收服务端。
		pick : '#fileVideo',											// 选择文件的按钮。可选。	内部根据当前运行是创建，可能是input元素，也可能是flash.
		// 只允许选择图片文件。
		accept : {
			title : 'video',
			extensions : 'mp4,avi',
			mimeTypes : '.mp4,.avi'
		},
		fileSingleSizeLimit : 100 * 1024 * 1024,						//100M
		duplicate : true
	});

	uploader2.onError = function(code) {
		if (code == 'Q_TYPE_DENIED') {
			layer.msg('视频类型错误', {
				icon : 2
			});
		} else if (code == 'F_EXCEED_SIZE') {
			layer.msg('视频大小超过限制', {
				icon : 2
			});
		}
	};
	uploader2.on('uploadBeforeSend', function( object, data,header ) {
        // 修改data可以控制发送哪些携带数据。
        //alert(new_multipart_video_params.dir);
       data.OSSAccessKeyId=new_multipart_video_params.OSSAccessKeyId;
       data.key=new_multipart_video_params.dir+getNowFormatDate()+"/"+random_string(32)+get_suffix(data.name);
       data.policy=new_multipart_video_params.policy;
	   data.signature=new_multipart_video_params.signature;
	   data.success_action_status='200';
	   data.callback=new_multipart_video_params.callback;
       header['Access-Control-Allow-Origin'] = "*";  
       console.log("上传视频名称:%s", data.key);
        })

	uploader2.on('fileQueued',function(file) {
		var $li = $('<div id="' + file.id + '" class="file-item thumbnail" style="width: 230px;height: 230px">'
				+ '<button type="button" class="closeVideo btn btn-primary"  style="position: absolute; bottom: 8px;" i="">删除</button>'
				+ '<video id="video_id" controls="controls" width="217" height="170"></video>'
				+ '<div class="info">'
				+ file.name + '</div>' + '</div>'), $img = $li
				.find('video');
		$('#videoList').empty();
		$('#videoList').append($li);		// $list为容器jQuery实例
	});

	// 文件上传过程中创建进度条实时显示。
	uploader2.on('uploadProgress', function(file, percentage) {
		var $li = $('#' + file.id), $percent = $li.find('.progress span');
		// 避免重复创建
		if (!$percent.length) {
			$percent = $('<p class="progress"><span></span></p>').appendTo($li).find('span');
		}
		$percent.css('width', percentage * 100 + '%');
	});

	// 文件上传成功，给item添加成功class, 用样式标记上传成功。
	uploader2.on('uploadSuccess', function(file, result) {
		console.log("上传证件图片成功:file:%o,result:%o",file,result);
		if(result){
			var videoUrl=new_multipart_video_params.host+"/"+result.fileName;
			$('#' + file.id).addClass('upload-state-done');
			$('#' + file.id).find(".closeVideo").attr('i', videoUrl);
			$('input[name="video"]').val(videoUrl)
			$("#video_id").attr('src',videoUrl);		//video_url = "https://youpu-video.oss-cn-beijing.aliyuncs.com/"+imgUrl;
		}
	});
	

	// 文件上传失败，显示上传出错。
	uploader2.on('uploadError', function(file) {
		var $li = $('#' + file.id), $error = $li.find('div.error');
		// 避免重复创建
		if (!$error.length) {
			$error = $('<div class="error"></div>').appendTo($li);
		}
		$error.text('上传失败');
	});

	// 完成上传完了，成功或者失败，先删除进度条。
	uploader2.on('uploadComplete', function(file) {
		$('#' + file.id).find('.progress').remove();
	});
	
	/** 删除店铺视频 **/
	$("div").on("click", ".closeVideo", function() {
		var e=$(this);
		var src = $(this).attr("i");
		var src_split=src.replace(new_multipart_video_params.host+"/","");
		layer.confirm('确定要删除此视频吗？', {
			  btn: ['是','否'] //按钮
			}, function(){
 				console.log("操作:视频删除中...");
		        var objKey=src_split.split("?")[0];
					$.ajax({
					   url: "/oss/delVideo?objectKey="+objKey,
					   type: 'GET',
					   success: function( response) {
						   console.log("服务器返回:证件照图片删除返回结果:%o",response);
						   if(response&&response.code==200){
							   	layer.msg('删除成功!', {icon: 1});
								$('input[name="video"]').val('');
								e.parent("div").remove();
//								console.log("删除后的视频地址:"+$('input[name="video"]').val());	 
						   }else{
							   layer.msg('删除失败,请再试一次!', {icon: 2});
						   }
					   }
					});  
			}, function(){
			});
	});
})