package com.up.mls.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 阿里云oss配置类
 * 
 * @author geeks
 *
 */
@Component
@ConfigurationProperties(prefix = "alioss")
public class AliOSSConfig {

	private String ENDPOINT;

	private String ACCESS_KEY_ID;

	private String ACCESS_KEY_SECRET;

	private String BACKET_NAME;

	private String FOLDER;

	public String getENDPOINT() {
		return ENDPOINT;
	}

	public void setENDPOINT(String eNDPOINT) {
		ENDPOINT = eNDPOINT;
	}

	public String getACCESS_KEY_ID() {
		return ACCESS_KEY_ID;
	}

	public void setACCESS_KEY_ID(String aCCESS_KEY_ID) {
		ACCESS_KEY_ID = aCCESS_KEY_ID;
	}

	public String getACCESS_KEY_SECRET() {
		return ACCESS_KEY_SECRET;
	}

	public void setACCESS_KEY_SECRET(String aCCESS_KEY_SECRET) {
		ACCESS_KEY_SECRET = aCCESS_KEY_SECRET;
	}

	public String getBACKET_NAME() {
		return BACKET_NAME;
	}

	public void setBACKET_NAME(String bACKET_NAME) {
		BACKET_NAME = bACKET_NAME;
	}

	public String getFOLDER() {
		return FOLDER;
	}

	public void setFOLDER(String fOLDER) {
		FOLDER = fOLDER;
	}

}
