package com.up.mls.controller.shop;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.up.mls.service.shop.BusinessAreaService;
import com.up.mls.vo.shop.BusinessArea;



/**
 * 拍店控制器
 * 
 * @author geeks
 *
 */
@Controller
@RequestMapping("businessArea")
public class BusinessAreaController {

	@Autowired
	private BusinessAreaService businessAreaService;

	@GetMapping("getByAreaId")
	public @ResponseBody List<BusinessArea> getByAreaId(Long areaId) {
		List<BusinessArea>  list=businessAreaService.selectBusinessByArea(areaId);
		if(list!=null && list.size()>0 && "全部".equals(list.get(0).getName())){
			list.remove(list.get(0));
		}
 		return list;
	}

}
