package com.up.mls.controller.system;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.up.mls.controller.AbstractController;
import com.up.mls.service.system.RoadService;
import com.up.mls.vo.system.Road;

@Controller
@RequestMapping("/system/road")
public class RoadController  extends AbstractController{
	
	@Autowired
	private RoadService roadService;
	
	
	@GetMapping("/findByAreaId")
	@ResponseBody
	public List<Road> findByAreaId(Long areaId){
		System.out.println("areaId : "+areaId);
		return roadService.selectRoadByArea(areaId);
	}
}
