package com.up.mls.mapper.app;

import java.util.List;

import com.up.mls.vo.app.ShopCondition;

public interface ShopConditionMapper {
	
	public ShopCondition  selectByPrimaryKey(String id);
	
	/**
	 * 根据条件分页查询用户对象
	 * 
	 * @param brand
	 *            用户信息
	 * @return 品牌信息集合信息
	 */
	public List<ShopCondition> selectShopConditionList(ShopCondition shopCondition);
	
	public int insertShopCondition(ShopCondition shopCondition);
	
	public int updateShopCondition(ShopCondition shopCondition);
	
	public int deleteById(Long id);
	
//	public int insertShopShopTag(ShopShopTag shopShopTag);
	
//	public int deleteShopTagByShopId(long shopId);
}
