package com.up.mls.mapper.news;

import com.up.mls.vo.news.News;
import com.up.mls.vo.news.NewsUser;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface NewsMapper {

    int save(News news);

    List<Map<String, Object>> selectList(Map<String, Object> parameters);

    Map<String, Object> selectById(String id);

    List<Map<String, Object>> selectAppUser(@Param("channel") String channel);

    int installList(List<Map<String, Object>> mapList);

    List<Map<String, Object>> selectSysUser();

    int remove(String id);

    int offlineBrand(String id);

    int onlineBrand(String id);

    String selectCityId(@Param("id") String id);

	News findEntityByTouchType(String touchType);
    
    void sendTouchMsg(NewsUser  newsUser);
    
  
}
