package com.up.mls.mapper.system;

import java.util.List;
import java.util.Map;

import com.up.mls.vo.system.Areas;
import com.up.mls.vo.system.User;

/**
 * 
 * @author j.x.j
 *
 */
public interface AreasMapper {
	/**
	 * 
	 * @param id
	 * @return
	 */
	int deleteByPrimaryKey(String id);

	/**
	 * 
	 * @param record
	 * @return
	 */
	int insert(Areas record);

	/**
	 * 
	 * @param record
	 * @return
	 */
	int insertSelective(Areas record);

	/**
	 * 
	 * @param id
	 * @return
	 */
	Areas selectByPrimaryKey(String id);
	
	
	/**
	 * 
	 * @param areas
	 * @return
	 */
	List<Areas> selectAreas(Areas areas);

	/**
	 *
	 * @param areas
	 * @return
	 */
	List<Areas> findByLevelAuth(Areas areas);
	
	/**
	 *
	 * @param areas
	 * @return
	 */
	List<Areas> selectAreasByParentAuth(Areas areas);

    /**
     * 
     * @param record
     * @return
     */
	int updateByPrimaryKeySelective(Areas record);

	/**
	 * 
	 * @param record
	 * @return
	 */
	int updateByPrimaryKey(Areas record);
	
	/**
	 * 
	 * @param areas
	 * @return
	 */
	List<Areas> selectBrnadCofigAreas(Areas areas);
	
	/**
	 * 
	 * @param areasId
	 * @return
	 */
	String selectNameById(String areasId);

    List<Areas> findByCityAuth(Map areas);

	List<Areas> findByAreas(Long cityId);

	Areas findByAreaName(Long cityId);

	List<Areas> findByParntJurisdiction(Areas areas);
	
	Areas selectProvinceIdByCityId(String cityId);
	
	String findCityNameByCityId(String cityid);
}