package com.up.mls.mapper.system;

import java.util.List;
import java.util.Map;

import com.up.mls.vo.system.Dictionary;

/**
 * 字典数据层
 * 
 * @author j.x.j
 *
 */
public interface DictionaryMapper {
	
	
	
	/**
	 * 
	 * @param parentKey
	 * @return
	 */
	Dictionary selectByParentKeyAndDValue(Dictionary dictionary);

	/**
	 * 
	 * @param dKey
	 * @return
	 */
	int deleteByPrimaryKey(String dKey);

	/**
	 * 
	 * @param record
	 * @return
	 */
	int insert(Dictionary record);

	/**
	 * 
	 * @param record
	 * @return
	 */
	int insertSelective(Dictionary record);

	/**
	 * 
	 * @param dKey
	 * @return
	 */
	Dictionary selectByPrimaryKey(String dKey);
	
	String selectByDValue(Map<String,Object> map);

	/**
	 * 
	 * @param parentKey
	 * @return
	 */
	List<Dictionary> selectByParentKey(Dictionary dictionary);
	
	List<Dictionary> selectByParentKeyForAdd(Dictionary dictionary);
	
	

	/**
	 * 
	 * @param record
	 * @return
	 */
	int updateByPrimaryKeySelective(Dictionary record);

	/**
	 * 
	 * @param record
	 * @return
	 */
	int updateByPrimaryKey(Dictionary record);
	
	/**
	 * 根据d_name 获取对应的d_value
	 * @param Dname
	 * @return
	 */
	Dictionary selectByDname(String Dname);
	
}