package com.up.mls.service.call.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.up.mls.mapper.callRecording.CallRecordingMapper;
import com.up.mls.service.call.CallRecordingService;
import com.up.mls.vo.callRecording.CallRecording;
import com.up.mls.vo.callRecording.GjLog;


@Service
public class CallRecordingServiceImpl implements CallRecordingService{
	@Autowired
	private CallRecordingMapper callRecordingMapper;
	
	@Override
	public List<CallRecording> findPage(CallRecording entity) {
		return this.callRecordingMapper.findPage(entity);
	}
	
	@Override
	public CallRecording findEntity(String uuid) {
		return this.callRecordingMapper.findEntity(uuid);
	}
	
	@Override
	public List<GjLog> findGjList(String rid) {
		return this.callRecordingMapper.findGjList(rid);
	}
	
	@Override
	public int saveProgress(GjLog entity) {
		try {
			this.callRecordingMapper.saveProgress(entity);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return 1;
	}
	
	
	@Override
	public int saveRenlin(CallRecording entity) {
		try {
			this.callRecordingMapper.saveRenlin(entity);
		} catch (Exception e) {
			e.printStackTrace();
			return 0;
		}
		return 1;
	}
	
	
}
