package com.up.mls.service.call.impl;

import java.rmi.RemoteException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSONObject;
import com.channelsoft.dcms.webservice.QueryRecordFromMongo.QueryRecordFromMongoProxy;
import com.up.mls.service.call.CallUtilsService;


@Service
public class CallUtilsServiceImpl implements CallUtilsService{

	//private static final Logger logger = LoggerFactory.getLogger(CallUtilsServiceImpl.class);
	
	//public final static String address="http://open.ccod.com/dcmsWebservice/webservice/QueryRecordFromMongo?wsdl";//地址
	public final static String entId = "1910080003";//【企业编号】企业开户信息中有
	public final static String methodName="queryRecordAddr";//方法名称
	public final static String zuoxiName="25781428";//坐席号
	public final static String zuoxiPassword="25781428";//坐席密码
	
	
	@Override
	public String findRecordEntity(String sessionIdOld){
		JSONObject resultObj=new JSONObject();
		try {
			String sessionId=this.getTenSix(sessionIdOld);
			System.out.println("========================查询单条录音 start【sessionId="+sessionIdOld+";转为16进制以后是："+sessionIdOld+"】========");
			QueryRecordFromMongoProxy proxy = new QueryRecordFromMongoProxy(
					"http://open.ccod.com/dcmsWebservice/webservice/QueryRecordFromMongo?wsdl");
			System.out.println("【参数：企业ID："+entId+";坐席名称:"+zuoxiName+";坐席密码:"+zuoxiPassword+";会话标示:"+sessionId+"】");
			String result = proxy.queryRecordAddr(entId, zuoxiName, zuoxiPassword, sessionId);
			System.out.println(result);
			return result;
			/*
			resultObj.put("code", result);
			//resultObj.put("msg", CallEnum.RecordStatus.codeOf(result).getName());
*/		} catch (RemoteException e) {
			e.printStackTrace();
		}
		System.out.println("========================查询单条录音 end【"+resultObj+"】========");
		return null;
	}
	
	
	public  String getTenSix(String inputNumber) {
       Long valueTen = Long.valueOf(inputNumber);
       String outStr = Long.toHexString(valueTen);
       return outStr;
   }
    
	public static void main(String[] args) {
		CallUtilsServiceImpl record=new CallUtilsServiceImpl();
		//String sessionId="746955203386813831";//13:23
		//String sessionIdDemo="a5daedcdb017c98";//http://jsdx.ccod.com:8099/g9/M00/C9/B3/CmQA7F2u3P6AKgH0AAAoRpPEiI0276.wav
		String sessionId="6583621520097023027";//6583621520097023027//5b5db8e419001433
		record.findRecordEntity(sessionId);
		//record.getTenSix("6583621520097023027");
		
	}
	
	
	
}
