package com.up.mls.service.content;

import java.util.List;

import com.up.mls.vo.content.BrandContactsErrorArea;



/**
 * 区域服务
 * 
 * @author j.x.j
 *
 */
public interface BrandContactsErrorAreaService {
	
	
	/**
	 * 新增品牌
	 * 
	 * @param company
	 * @return
	 */
	int insertBrandCity(BrandContactsErrorArea brandContactsErrorArea);


	/**
	 * 根据父id查询子区域
	 * 
	 * @param parentId
	 *            父区域id标识
	 * @return
	 */
	List<BrandContactsErrorArea> findBrandContactsErrorArea(BrandContactsErrorArea brandContactsErrorArea);
	
	
	/**
	 * 根据id查询区域
	 * 
	 * @param parentId
	 *            父区域id标识
	 * @return
	 */
	//public List<BrandBusiness> findById(Long id);

}
