package com.up.mls.service.content.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.up.mls.mapper.content.BrandAreaMapper;
import com.up.mls.service.content.IBrandAreaService;
import com.up.mls.vo.content.BrandArea;

@Service
public class BrandAreaServiceImpl implements IBrandAreaService {

	@Autowired
	private BrandAreaMapper brandAreaMapper;

	@Override
	public List<BrandArea> findByLevel() {
		List<BrandArea> parent = brandAreaMapper.findByLevel();
		parent.forEach(a -> {
			a.setSubBrandAreas(brandAreaMapper.selectSon(a.getId()));
		});
		return parent;
	}

}
