package com.up.mls.service.deal;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.up.mls.vo.deal.ProjectOrderTrack;


/**
 * 区域服务
 * 
 * @author j.x.j
 *
 */
public interface ProjectOrderTrackService {
	
	
	/**
	 * 新增品牌区域关系
	 * 
	 * @param company
	 * @return
	 */
	int insert(ProjectOrderTrack projectOrderTrack);

	/**
	 * 根据项目交易审批订单id查询审批记录
	 * 
	 * @param projectOrderTrack
	 *            交易订单号
	 * @return
	 */
	List<ProjectOrderTrack> findProjectOrderTrack(ProjectOrderTrack projectOrderTrack);
	
	
	/**
	 * 根据id查询区域
	 * 
	 * @param parentId
	 *            父区域id标识
	 * @return
	 */
	public List<ProjectOrderTrack> findById(Long id);
	
	int selectProjectOrderTrackCount(String orderNo,String orderStatus);


}
