package com.up.mls.service.monitor;

import java.util.List;

import com.up.mls.vo.monitor.LoginLogInfo;

/**
 * 系统访问日志情况信息 服务层
 * 
 * @author j.x.j
 */
public interface ILogininforService {

	/**
	 * 新增系统登录日志
	 * 
	 * @param logininfor
	 *            访问日志对象
	 */
	public void insertLogininfor(LoginLogInfo logininfor);
	
	public void insertLogininfor();

	/**
	 * 查询系统登录日志集合
	 * 
	 * @param logininfor
	 *            访问日志对象
	 * @return 登录记录集合
	 */
	public List<LoginLogInfo> selectLogininforList(LoginLogInfo logininfor);

	/**
	 * 批量删除系统登录日志
	 * 
	 * @param ids
	 *            需要删除的数据
	 * @return
	 */
	public int deleteLogininforByIds(String ids);
}
