package com.up.mls.service.system;

import java.util.List;

import com.up.mls.vo.system.Regions;

/**
 * 区域服务
 * 
 * @author j.x.j
 *
 */
public interface IRegionsSerevice {

	/**
	 * 根据区域级别查询
	 * 
	 * @param level
	 *            级别 省、直辖市：1
	 * @return
	 */
	List<Regions> findRegions();

	/**
	 * 根据父id查询子区域
	 * 
	 * @param parentId
	 *            父区域id标识
	 * @return
	 */
	List<Regions> findByParentId(Long parentId);

}
