package com.up.mls.service.system.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.up.mls.mapper.system.ISysParamMapper;
import com.up.mls.service.system.ISysParamService;
import com.up.mls.vo.system.ISysParam;

@Service
public class ISysParamServiceImpl implements ISysParamService {
	
	@Autowired
	private ISysParamMapper sysParamMapper;

	@Override
	public int add(ISysParam sysParam) {
		return sysParamMapper.add(sysParam);
	}

	@Override
	public List<Map<String,Object>> selectList() {
		return sysParamMapper.selectList();
	}

	@Override
	public Map<String, Object> selectById(Long id) {
		return sysParamMapper.selectById(id);
	}

	@Override
	public int update(ISysParam sysParam) {
		return sysParamMapper.update(sysParam);
	}

	
	

}
