package com.up.mls.vo.app;

import com.up.mls.vo.BaseDomain;

import lombok.Getter;
import lombok.Setter;

/**
 * 商铺条件筛选
 * 
 * @author youke
 *
 */
@Getter
@Setter
public class ShopCondition extends BaseDomain {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6738033131387101155L;

	/**
	 * 条件类型
	 * 
	 * @author youke
	 *
	 */
//	public enum Type {
//		售价, 日租金, 月租金, 转让费, 面积
//	}

	/**
	 * 价格类型
	 */
	private String type;

	/**
	 * 显示文本
	 */
	private String showText;

	/**
	 * 价格区间低
	 */
	private Double priceLow;

	/**
	 * 价格区间高
	 */
	private Double priceHigh;

	/**
	 * 排序
	 */
	private Integer sort;

}
