package com.up.mls.vo.assess;

import java.util.Date;

import com.up.mls.vo.BaseDomain;

import lombok.Getter;
import lombok.Setter;
/**
 * 写字楼评估表
 * @author joker
 *
 */
@Setter
@Getter
public class OfficeAssess extends BaseDomain{

	/**
	 * 
	 */
	private static final long serialVersionUID = 4433120864163662564L;

	private Integer cityId;

	private String cityName;

	private String areaId;
	
	private String areaName;
	
	private String regionsName;
	
	private String regionsId;
	
	private String loadId;
	
	private String loadName;
	
	private String address;
	
	private String mianji;
	
	private String name;
	
	private String telephone;
	
	private String vcode;
	/**
	 * 类别 0:商铺 1:写字楼
	 */
	private String type;
	//0:未评估 1：已评估
	private String status;
	//评估内容
	private String content;
	//评估人ID
	private Long operUserId;
	//评估人姓名
	private String operUserName;
	//评估时间
	private Date operDate;


	/**
	 * 增加关键字检索字段
	 */
	private String createBegin;
	private String createEnd;
	private String maxMianji;
	private String minMianji;

}
