package com.up.mls.vo.content;

import com.up.mls.vo.BaseEntity;
import com.up.mls.vo.system.User;

import lombok.Data;

/**
 * <Description>
 * 大咖实体
 *
 * @author Yuesiwei
 * @createDate 2019/02/19 上午10:43
 * @see com.up.mls.vo.content
 */
@Data
public class Mogul extends BaseEntity {

    private static final long serialVersionUID = 2270459950930458502L;

    private Integer id;

    public User user;

    /**
     * 姓名
     */
    public String name;

    /**
     * 职位
     */
    public String position;

    /**
     * 排序
     */
    public Integer sort;

    /**
     * 图片
     */
    public String imgPath;

    /**
     * 省id
     */
    public Long provinceId;

    /**
     * 城市id
     */
    public Long cityId;

    /**
     * 是否显示 0显示；1不显示
     */
    public Long advFlag;

    /**
     * 录入人
     */
    public String author;

}
