package com.up.mls.vo.enums;


public class CallEnum {

	//通话记录枚举类型
	/*0    MP3地址尚未生成，查询不到
	-1    传入参数不合法
	-2    错误的企业ID
	-3    错误的坐席工号
	-4    错误的坐席密码
	-5    没有查到适合条件的记录
	-7    企业尚未配置RecordFTPServer配置项
	-8    查询录音文件地址异常
	录音地址结合构成的XML字符串或者单条录音地址*/
    public enum RecordStatus {
    	success("0", "成功"),
    	paramFail("-1", "传入参数不合法"),
    	entIdFail("-2", " 错误的企业ID"),
    	zuoxiNameFail("-3", " 错误的坐席工号"),
    	zuoxiPasswordFail("-4", "错误的坐席密码"),
    	noData("-5", "没有查到适合条件的记录"),
    	//success("-6", ""),
    	entPeiZhi("-7", "企业尚未配置RecordFTPServer配置项"),
    	addressFail("-8", "查询录音文件地址异常；音地址结合构成的XML字符串或者单条录音地址");

        private String name;
        private String value;

        public static RecordStatus codeOf(String value) {
            for(RecordStatus a:RecordStatus.values()){
                if(a.getValue().equals(value)){
                    return a;
                }
            }
            return null;
        }

        RecordStatus(String value, String name) {
            this.name = name;
            this.value = value;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
    
    
    
}
