package com.up.mls.vo.office;


import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;


/**
 * 审核表
 * @author PJJ
 *
 */
@Getter
@Setter
public class Audit {
	
	public Audit() {};
	/**
	 * object,auditUserId,auditUserName,auditStatus,remark
	 */
	public Audit(String...agrs) {
		this.objectId = Integer.valueOf(agrs[0]);
		this.auditUserId = Integer.valueOf(agrs[1]);
		this.auditUserName = agrs[2];
		this.auditStatus = agrs[3];
		this.remark = agrs[4];
	}

	private Integer id;
	private Integer objectId;
	private Integer auditUserId;
	private String auditUserName;
	private String auditStatus;
	private String auditStatusName;
	private Date auditTime=new Date();
	private String remark;
	private String type;
	
	private String phoneOld;
	private BigDecimal commissionValueOld;
	
	private Long jiafangOld;
	private Long jiedaiOld;
	private Long weihuOld;

	
}
