package com.up.mls.vo.system;

import com.up.mls.vo.BaseEntity;

import lombok.Getter;
import lombok.Setter;

/**
 * 公司
 * 
 * @author j.x.j
 *
 */
@Getter
@Setter
public class Company extends BaseEntity {

	private static final long serialVersionUID = 2288439838855143778L;
	/**主键**/
	private Long id;
	/** 上级公司 **/
	private Long parentId;
	/** 公司名称 **/
	private String companyName;
	/** 公司所属省份 **/
	private Long provinceId;
	/** 公司所属城市 **/
	private Long cityId;
	/** 公司所属区 **/
	private String districtId;
	/** 公司所属街道 **/
	private String streetId;
	/** 公司所属地址 **/
	private String companyAddress;
	/** 公司联系人 **/
	private String contact;
	/** 联系人电话 **/
	private String mobile;
	/** 公司类型 **/
	private Integer companyType;
	/** 排序 **/
	private Integer sort;
	/** 删除标志 false: **/
	private Boolean isDel;
	/** 祖级列表 */
	private String ancestors;
	
	
	private String cityName;

}
