package com.up.mls.web.page;

import com.up.mls.common.constant.SystemConstants;
import com.up.mls.util.ServletUtils;

/**
 * 表格数据处理
 * 
 * @author j.x.j
 */
public class TableSupport
{
    /**
     * 封装分页对象
     */
    public static PageDomain getPageDomain()
    {
        PageDomain pageDomain = new PageDomain();
        pageDomain.setPageNum(ServletUtils.getParameterToInt(SystemConstants.PAGE_NUM));
        pageDomain.setPageSize(ServletUtils.getParameterToInt(SystemConstants.PAGE_SIZE));
        pageDomain.setOrderByColumn(ServletUtils.getParameter(SystemConstants.ORDER_BY_COLUMN));
        pageDomain.setIsAsc(ServletUtils.getParameter(SystemConstants.IS_ASC));
        return pageDomain;
    }

    public static PageDomain buildPageRequest()
    {
        return getPageDomain();
    }

}
