/* ↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓ 品牌图片上传 多图上传 ↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓ */
function imgUploader(e1,e2,e3)	{
	var uploader = WebUploader.create({
		//formData: new_multipart_params,
		// 选完文件后，是否自动上传。
		auto : true,
		// swf文件路径
		swf : '/js/Uploader.swf',
		// 文件接收服务端。
		server : 'https://up-img.oss-cn-beijing.aliyuncs.com',		
		// 选择文件的按钮。可选。
		// 内部根据当前运行是创建，可能是input元素，也可能是flash.
		pick : '#'+e1,
		// 只允许选择图片文件。
		accept : {
			title : 'Images',
			extensions : 'jpg,jpeg,png',
			mimeTypes : 'image/*'
		},
		fileSingleSizeLimit : 2*1024*1024
	});

	uploader.on('uploadBeforeSend', function( object, data,header ) {
        // 修改data可以控制发送哪些携带数据。
       data.OSSAccessKeyId=new_multipart_params.OSSAccessKeyId;
       data.key=new_multipart_params.dir+getNowFormatDate()+"/"+random_string(32)+get_suffix(data.name);
       data.policy=new_multipart_params.policy;
	   data.signature=new_multipart_params.signature;
	   data.success_action_status='200';
	   data.callback=new_multipart_params.callback;
       header['Access-Control-Allow-Origin'] = "*";  
        })


	uploader.onError = function(code) {
		if (code == 'Q_TYPE_DENIED') {
			layer.msg('图片类型错误', {
				icon : 2
			});
		} else if (code == 'F_EXCEED_SIZE') {
			layer.msg('图片的大小超过限制', {
				icon : 2
			});
		}
	};

	uploader.on('fileQueued',function(file) {
		$("#filePicker").attr("style","left: 150px;");
		var $li = $('<div id="' + file.id + '" class="file-item thumbnail" style="width: 150px;height: 150px">'
				+ '<input type="radio" class="rc"  name="f1" value="" onclick="f(this)"/>'
				+ '<button type="button" class="closeImg " style="" i="">删除</button>'
				+ '<img>'
				+ '<div class="info">'
				+ file.name + '</div>' + '</div>'), $img = $li
				.find('img');
		// $list为容器jQuery实例
		$('#'+e3).append($li);
		// 创建缩略图
		// 如果为非图片文件，可以不用调用此方法。
		// thumbnailWidth x thumbnailHeight 为 100 x 100
		uploader.makeThumb(file, function(error, src) {
			if (error) {
				$img.replaceWith('<span>不能预览</span>');
				return;
			}
			$img.attr('src', src);
		}, 100, 100);
	});

	// 文件上传过程中创建进度条实时显示。
	uploader.on('uploadProgress', function(file, percentage) {
		var $li = $('#' + file.id), $percent = $li.find('.progress span');
		// 避免重复创建
		if (!$percent.length) {
			$percent = $('<p class="progress"><span></span></p>').appendTo($li).find('span');
		}

		$percent.css('width', percentage * 100 + '%');
	});

	// 文件上传成功，给item添加成功class, 用样式标记上传成功。
	uploader.on('uploadSuccess', function(file, result) {
		if(result){
			var imgUrl=new_multipart_params.host+"/"+result.fileName;
			//var imgUrl = "/"+result.fileName;
			//alert(imgUrl);
			$('#' + file.id).addClass('upload-state-done');
			$('#' + file.id).find(".closeImg").attr('i', imgUrl);
			$('#' + file.id).find(".rc").val(imgUrl);
			var imgs = $('input[name="'+e2+'"]').val();
			//alert(imgs);
			if (imgs) {
				$('input[name="'+e2+'"]').val(
						$('input[name="'+e2+'"]').val() + ',' +imgUrl)
			} else {
				//alert(imgUrl);
				$('input[name="'+e2+'"]').val(imgUrl)
			}
		}

	});

			// 文件上传失败，显示上传出错。
	uploader.on('uploadError', function(file) {
		var $li = $('#' + file.id), $error = $li.find('div.error');
		// 避免重复创建
		if (!$error.length) {
			$error = $('<div class="error"></div>').appendTo($li);
		}
		$error.text('上传失败');
	});

	// 完成上传完了，成功或者失败，先删除进度条。
	uploader.on('uploadComplete', function(file) {
		$('#' + file.id).find('.progress').remove();
	});
	
	/* ↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑ 品牌图片上传 多图上传 ↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑↑*/
	
	//------------------end--------------------------
}
function imgDel(e1){
	
	/**商铺图片删除**/
	$("div").on("click", ".closeImg", function() {
		console.log("操作:商铺图片删除中...");
		var e=$(this);
		var src = $(this).attr("i");
		
		//var src_split=src.replace(new_multipart_params.host+"/","");
		var src_split= src.substring(0,src.length);
//		alert(src_split);
//		return false;
		
		layer.confirm('确定要删除此图片？', {
			  btn: ['是','否'] //按钮
			}, function(){
 				console.log("操作:证件照图片删除中...");
		        var objKey=src_split.split("?")[0];
					$.ajax({
					   url: "/oss/delObject?objectKey="+objKey,
					   type: 'GET',
					   success: function( response) {
						   console.log("服务器返回:证件照图片删除返回结果:%o",response);
						   if(response&&response.code==200){
							   layer.msg('删除成功!', {icon: 1});
							   var src1 = ',' + src;
								var src2 = src + ',';
								var imgList = $('input[name="'+e1+'"]').val();
								console.info("=========imgList:"+imgList);
								if( imgList !=undefined){
									if (imgList.indexOf(src1) > -1) {
										var list = imgList.replace(src1, '');
									} else if (imgList.indexOf(src2) > -1) {
										var list = imgList.replace(src2, '');
									} else {
										var list = imgList.replace(src, '');
									}
									$('input[name="'+e1+'"]').val(list);
								}else{
									$('input[name="'+e1+'"]').val('');
								}
								
								e.parent("div").remove();
								console.log("删除后的证件图片地址:"+$('input[name="'+e1+'"]').val());	 
						   }else{
							   layer.msg('删除失败,请再试一次!', {icon: 2});
						   }
					   }
					});  
				
				
			}, function(){
				
			});
	});
}
function imgDel2(){
	/**商铺图片删除**/
	$("div").on("click", ".delImg", function() {
		var e=$(this);
		var src = $(this).attr("i");
		var src_split= src.substring(0,src.length);
		var e1 = $(this).attr("value");
		layer.confirm('确定要删除此图片？', {
			  btn: ['是','否'] //按钮
			}, function(){
 				var objKey=src_split.split("?")[0];
				$.ajax({
				   url: "/oss/delObject?objectKey="+objKey,
				   type: 'GET',
				   success: function( response) {
					   if(response&&response.code==200){
						   layer.msg('删除成功!', {icon: 1});
						   var src1 = ',' + src;
							var src2 = src + ',';
							var imgList = $('input[name="'+e1+'"]').val();
							if( imgList !=undefined){
								if (imgList.indexOf(src1) > -1) {
									var list = imgList.replace(src1, '');
								} else if (imgList.indexOf(src2) > -1) {
									var list = imgList.replace(src2, '');
								} else {
									var list = imgList.replace(src, '');
								}
								$('input[name="'+e1+'"]').val(list);
							}else{
								$('input[name="'+e1+'"]').val('');
							}
							
							e.parent("div").remove();
							console.log("删除后的证件图片地址:"+$('input[name="'+e1+'"]').val());	 
					   }else{
						   layer.msg('删除失败,请再试一次!', {icon: 2});
					   }
				   }
				});  
			}, function(){
				
			});
	});
}
	function random_string(len) {
		　　len = len || 32;
		　　var chars = 'ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678';   
		　　var maxPos = chars.length;
		　　var pwd = '';
		　　for (i = 0; i < len; i++) {
		    　　pwd += chars.charAt(Math.floor(Math.random() * maxPos));
		    }
		    return pwd;
		}
	function get_suffix(filename) {
	    pos = filename.lastIndexOf('.')
	    suffix = ''
	    if (pos != -1) {
	        suffix = filename.substring(pos)
	    }
	    return suffix;
	}
	
	
//	<!-- aliyun oss 签名生成 -->

	function getNowFormatDate() {
      var date = new Date();
      var seperator1 = "/";
      var year = date.getFullYear();
      var month = date.getMonth() + 1;
      var strDate = date.getDate();
      if (month >= 1 && month <= 9) {
          month = "0" + month;
      }
      if (strDate >= 0 && strDate <= 9) {
          strDate = "0" + strDate;
      }
      var currentdate = year + seperator1 + month + seperator1 + strDate;
      return currentdate;
  }
	var  new_multipart_params ={};
	$(function() {
		$.getJSON('/oss/policy', function(data) {
			new_multipart_params.policy=data.policy;
			new_multipart_params.OSSAccessKeyId=data.accessid;
			new_multipart_params.signature=data.signature;
			new_multipart_params.success_action_status='200';
			new_multipart_params.callback=data.callback;
			new_multipart_params.host=data.host;
			new_multipart_params.dir=data.dir;
		}); 
	 })
	